package com.gxzc.zen.controller

import com.gxzc.zen.api.sys.mapper.SysDeptMapper
import com.gxzc.zen.api.sys.model.SysDept
import com.gxzc.zen.api.sys.service.ISysDeptService
import com.gxzc.zen.orm.annotation.DynamicDataSource
import com.gxzc.zen.orm.contants.DSKey
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.transaction.annotation.Transactional
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController


@RestController
class ExampleController {
    companion object {
        private val logger = LoggerFactory.getLogger(ExampleController::class.java)
    }

    @Autowired
    lateinit var sysDeptService: ISysDeptService

    @Autowired
    lateinit var sysDeptMapper: SysDeptMapper

    @GetMapping("test")
    @DynamicDataSource(DSKey.DSKEY_SYS)
    @Transactional
    fun test() {
//        logger.info("a: {}", sysDeptService.selectCount(EntityWrapper<SysDept>().where("1","1000L")))
//        logger.info("b: {}", sysDeptMapper.selectCount(EntityWrapper<SysDept>()))
        sysDeptService.insert(SysDept().also {
            it.deptName = "ahaha"
            it.sort = Integer(2)
            it.principal = "a"
        })
        sysDeptService.insert(SysDept().also {
            it.deptName = "我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjf我日你哥slkdfjslkdjflksdjfklsdjklfsjdlkfjsdlkfjsdlkfjlksdjflksdjfklsdjfklsdjklfsjdklfjsdklfjslkdjfklsdjfklsdjkflsjdklfjskldfjklsdjflksjf;lkasjdkl;fjasdlkf"
            it.principal = "aaa"
            it.sort = Integer(1)
        })
    }
}